function W = Shaper(phi,D)

%Paramètres de coupe
ap =  0.5 ; gamma = 0.17 ; rho = 20 ; Vc = 39.741 ; mc = 125 ; T = 258 ;

%Coefficients de coupe
a = [ 15.9082961 , ((6.411 * 10^(-5))) , -0.04709 , 18.90097 , 2.193 , 10.57092 , 0.0955 , 0.39242 , 1.17260 , 2.15734 , -0.05021 , -0.07183 , 2.43628 , 0.99865 , (6.883 * (10^(-5))) , -27269.686 , 0.02962 , 0.4157 , -0.17439 , 0.23563 , 0.19386 , 1.21835 , -0.57335 ,-0.24134 , -878.18 , 0.01668 , -27.65757 ];
b = [ (3.355 * (10^(-3))) , 539.082961 , -0.15741 , -0.33883 , -0.01213 , 758.29345 , 0.76858 , 3.5537 , (5.365 * (10^(-4))) ,(1.3538 * (10^(-3))), (-3.0279 * (10^(-3))) , (-1.3297 * (10^(-4))) , -0.012783 , -30.16633 , -0.219799 , 10.134443 , (3.4903 * (10^(-4))) , -0.38895 , -0.27925 , 1.90555 , -0.10358 , -0.732 , -0.32493 , -0.2652 , -137.7076 , (-3.6111 * (10^(-3))) , 1.66647 ];


Pa1 = ( ( ap )^( a(9) ) ) * ( ( gamma )^( a(10) ) ) * ( ( rho )^( a(11) ) ) * ( ( Vc )^( a(12) ) ) * ( ( D )^( a(13) ) ) * ( ( a(14) - exp( mc * a(15)) )^( -1 ) ) * ( ( a(16) - exp( T * a(17)) )^( -1 ) )  ;
Pa2 = ( ( ap )^( a(18) ) ) * ( ( gamma )^( a(19) ) ) * ( ( rho )^( a(20) ) ) * ( ( Vc )^( a(21) ) ) * ( ( D )^( a(22) ) ) * ( ( a(23) - exp( mc * a(24)) )^( -1 ) ) * ( ( a(25) - exp( T * a(26)) )^( -1 ) ) ;
Pb1 = ( ( ap )^( b(9) ) ) * ( ( gamma )^( b(10) ) ) * ( ( rho )^( b(11) ) ) * ( ( Vc )^( b(12) ) ) * ( ( D )^( b(13) ) ) * ( ( b(14) - exp( mc * b(15)) )^( -1 ) ) * ( ( b(16) - exp( T * b(17)) )^( -1 ) )  ;
Pb2 = ( ( ap )^( b(18) ) ) * ( ( gamma )^( b(19) ) ) * ( ( rho )^( b(20) ) ) * ( ( Vc )^( b(21) ) ) * ( ( D )^( b(22) ) ) * ( ( b(23) - exp( mc * b(24)) )^( -1 ) ) * ( ( b(25) - exp( T * b(26)) )^( -1 ) ) ;


%Force de coupe tangeancielle
Fc = ( a(1) + ( (a(2)) * ( abs(cos(phi + a(3)) ) )^(a(4))) * Pa1 ) + ( ( a(5) + (a(6)) * (( abs(sin(phi + a(7)) ) )^(a(8))) ) * Pa2 ) + a(27) ;

%Force de coupe normale
Fn = ( ( b(1) +  (b (2)) * ( abs(cos(phi + b(3)) ) )^(b(4)) ) * Pb1 ) + ( ( b(5) +  (b(6)) * ( abs(sin(phi + b(7)) ) )^(b(8)) ) * Pb2 ) + b(27) ;

Fs = 0 ;

W = [Fc ; -Fn ; Fs];
end

